[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TParser.TokenWideString

Returns the current token as a widestring

## Declaration

Source position: classesh.inc line 1532

`public function TParser.TokenWideString: WideString;`

## Description

If current token type is toWString, this method returns the contents of the string. That is, enclosing quotes are removed, embedded quotes are unescaped and control strings are converted to the appropriate sequence of characters.

If current token isn't a widestring, TokenWideString behaviour is the same as TokenString.

## Errors

None.

## See also

TParser.NextToken |  | Reads the next token and returns its type.
TokenString |  | Returns the current token as a string.
TParser.Token |  | The type of the current token.
toWString |  | Value returned by TParser.Token when a widestring was found in the input stream.

Documentation generated on: Feb 26 2014